// creer un array de width et enregistrer des lignes dedans
class Ligne {
  float x_h;// position haut
  float y_h;
  float x_b;// position bas
  float y_b;
  float x_h_vel;// velocite haut
  float y_h_vel;
  float x_b_vel;// velocite bas
  float y_b_vel;
  int life;


  Ligne(float x, float angle, float multiplicateur, int _life) {
    multiplicateur=map(multiplicateur, 0, width, 0, 20);
    x_h =x;
    y_h=height/2-20;

    x_b = x; 
    y_b = height/2+20;

    x_h_vel = multiplicateur*cos(.1*angle);
    y_h_vel = multiplicateur*sin(.6*angle);

    x_b_vel = multiplicateur*cos(1.4*angle);  
    y_b_vel = multiplicateur*sin(1.5*angle);

    life = _life;

    addVel();
  }


  void draw() {  
    addVel();
    stroke(y_h, 20, 50, 40);
    line(x_h, y_h, x_b, y_b);
  }
  
void addVel(){
   x_h+=x_h_vel;
    y_h+=y_h_vel;
    x_b+=x_b_vel;
    y_b+=y_b_vel;
}

  boolean finished() {
    life--;
    if (life < 0) {
      return true;
    } 
    else {
      return false;
    }
  }
}

